use tokio::sync::Mutex;

use crate::storages::StoragePool;

pub struct AppState {
    pub secret_key: Option<String>,
    pub storage_pool: Mutex<StoragePool>,
}

impl AppState {
    pub fn new(storage_pool: StoragePool, secret_key: Option<String>) -> Self {
        Self {
            secret_key,
            storage_pool: Mutex::new(storage_pool),
        }
    }
}
